Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame

From: Jan Djärv <[email-masked]>
Date: Thu, 31 Jul 2014 13:29:23 +0200

Hi. 

31 jul 2014 kl. 09:11 skrev Eli Zaretskii <[email-masked]>:

>> Date: Thu, 31 Jul 2014 08:57:05 +0200
>> From: "Jan D." <[email-masked]>
>> CC: [email-masked]
>> 
>> As far as I know, for the first frame when .emacs has not been read yet, 
>> Emacs internally says that no tool bar shall be added.
>> After .emacs has been read, and tool bar mode is still active (i.e. not 
>> disabled by .emacs) it adds the tool bar.  So this is generic code that 
>> is at work.
> 
> Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> that case, I guess we could change that to work more like the menu
> bar, which (AFAIR) is shown on the initial frame.

When I looked at this, the tool bar items where not initialised at frame creation.  So there where no items to put there even if we did show the toolbar. For Gtk it will show a bar a few pixels high.  It is hard to figure out how high an item will be later on as this depends on the size of the image, padding and so on. 

     Jan D.